<div id="search-bar">
    <form [formGroup]="searchForm" class="search-form">
        <div class="search-input-wrapper" *ngIf="showInput" [@searchAnimations]>
            <mat-form-field class="color-white">
                <mat-label>Шукати</mat-label>
                <input matInput
                       type="text"
                       formControlName="search"
                       class="search-input"
                       aria-label="Пошук"
                       (blur)="onBlur()"
                       [value]="searchValue"
                       [formControl]="myControl"
                       [matAutocomplete]="auto"
                >
                <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                    <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                        {{option}}
                    </mat-option>
                </mat-autocomplete>
            </mat-form-field>
        </div>
        <div class="search-button-wrapper">
            <button mat-icon-button class="search-button" (click)="onClickSearchButton()">
                <mat-icon>search</mat-icon>
            </button>
        </div>
    </form>

</div>

